<template>
	<view>
		<u-navbar title="模拟考试" @rightClick="rightClick" :autoBack="true">
		</u-navbar>
		<Question :tabsList="tabsList" type="exam" />
	</view>
</template>

<script>
	import {
		mapState,
		mapActions
	} from 'pinia' //引入映射函数
	import useQuestionStore from '@/jtools/store/question' //引入store
	import Question from './components/Question.vue';
	export default {
		components: {
			Question
		},
		data() {
			return {
				tabsList:[{
					label:"模拟考试",
					value:0
				},{
					label:"考前密卷",
					value:1
				}]
			}
		},
		onLoad() {
			console.log(this.orderQuestionList);
		},
		computed: {
			...mapState(useQuestionStore, ["orderQuestionList"]) //映射函数，取出tagslist
		},
		methods: {
			rightClick() {
				console.log('返回');
			}
		}
	}
</script>

<style scoped>
	::v-deep .u-count-down{
		font-size: 28rpx;
		color:#fff !important;
		display: inline-block !important;
	}
	::v-deep .u-count-down__text{
		font-size: 28rpx;
		color:#fff !important;
	}
</style>
